public enum Instruction {
	PUSHVAR(0), 
		PUSH(1), POP(2), PUSHSTR(3), ADD(4), 
		NEG(5), SUB(6), MUL(7), DIV(8),  MOD (9), 
		CMPLT(10), CMPLE(11), CMPGT(12), 
		CMPGE(13), CMPEQ(14), CMPNE(15), JUMP (16), 
		JUMPFALSE(17), CALL(18), UNDEFINED(19);

	public final static int PRINTVAR = 1;
	public final static int PRINTSTR = 2;
	public final static int PRINTLINE = 3;
	public final static int INPUT = 4;

	private int inst_num; /*instruction number*/
	Instruction(int _inst_num) {
		inst_num = _inst_num;
	}

	int getInstNumber() {
		return inst_num;
	}

	static Instruction getInstruction(int number) {
		for (Instruction i: Instruction.values()) {
			if (i.getInstNumber()==number) return i;
		}
		return UNDEFINED;
	}
	
}
